Subject: possible regression on 3.13 when calling flush_dcache_page

From: [email-masked] (Joonsoo Kim)
Date: Thu, 9 Jan 2014 16:16:56 +0900

On Mon, Jan 06, 2014 at 10:34:09AM +0100, Ludovic Desroches wrote:
> On Mon, Jan 06, 2014 at 09:26:48AM +0900, Joonsoo Kim wrote:
> > On Fri, Jan 03, 2014 at 03:54:04PM +0100, Ludovic Desroches wrote:
> > > Hi,
> > > 
> > > On Tue, Dec 24, 2013 at 03:38:37PM +0900, Joonsoo Kim wrote:
> > > 
> > > [...]
> > > 
> > > > > > > > > I think that this commit may not introduce a bug. This patch remove one
> > > > > > > > > variable on slab management structure and replace variable name. So there
> > > > > > > > > is no functional change.
> > > 
> > > You are right, the commit given by git bisect was not the good one...
> > > Since I removed other patches done on top of it, I thought it really was
> > > this one but in fact it is 8456a64.
> > 
> > Okay. It seems more reasonable to me.
> > I guess that this is the same issue with following link.
> > http://lkml.org/lkml/2014/1/4/81
> > 
> > And, perhaps, that patch solves your problem. But I'm not sure that it is the
> > best solution for this problem. I should discuss with slab maintainers.
> 
> Yes this patch solves my problem.
> 
> > 
> > I will think about this problem more deeply and report the solution to you
> > as soon as possible.
> 
> Ok thanks.
> 

Hello,

That patch will be merged through Andrew's tree.
Use it to fix your problem :)

Thanks.